.\"
.\" Copyright 1996 Hewlett-Packard Company
.\" Copyright 1996 International Business Machines Corp.
.\" Copyright 1996, 1999, 2004, Oracle and/or its affiliates. All rights reserved.
.\" Copyright 1996 Novell, Inc.
.\" Copyright 1996 Digital Equipment Corp.
.\" Copyright 1996 Fujitsu Limited
.\" Copyright 1996 Hitachi, Ltd.
.\" Copyright 1996 X Consortium, Inc.
.\"
.\" Permission is hereby granted, free of charge, to any person obtaining a
.\" copy of this software and associated documentation files (the "Software"),
.\" to deal in the Software without restriction, including without limitation
.\" the rights to use, copy, modify, merge, publish, distribute,
.\" sublicense, and/or sell copies of the Software, and to permit persons
.\" to whom the Software is furnished to do so, subject to the following
.\" conditions:
.\"
.\" The above copyright notice and this permission notice shall be
.\" included in all copies or substantial portions of the Software.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
.\" EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
.\" MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
.\" IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
.\" DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
.\" OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR
.\" THE USE OR OTHER DEALINGS IN THE SOFTWARE.
.\"
.\" Except as contained in this notice, the names of the copyright holders
.\" shall not be used in advertising or otherwise to promote the sale, use
.\" or other dealings in this Software without prior written authorization
.\" from said copyright holders.
.\"
.TH XpEndPage 3Xp __xorgversion__ "XPRINT FUNCTIONS"
.SH NAME
XpEndPage \- Indicates the end of a print page.
.SH SYNOPSIS
.br
      cc [ flag... ] file... -lXp [ library... ]
.br
      #include <X11/extensions/Print.h>
.LP
.B void XpEndPage
(
.I display
)
.br
      Display *\fIdisplay\fP\^;
.if n .ti +5n
.if t .ti +.5i
.SH DESCRIPTION
.LP
XpEndPage signals the end of a print page, and causes
window to be unmapped. All resulting page data is assembled and combined with
data previously sent by XpPutDocumentData. No generation of document data will
occur for rendering operations to the corresponding windows after XpEndPage is
called.

For clients selecting XPPrintMask (see XpSelectInput), the event XPPrintNotify
is generated with its detail field set to XPEndPageNotify when the
.I X Print Server
has completed XpEndPage.
.SH ARGUMENTS
.TP
.I display
Specifies a pointer to the Display structure; returned from XOpenDisplay.
.SH DIAGNOSTICS
.TP 15
.SM XPBadSequence
The function was not called in the proper order with respect to the
other X Print Service Extension calls; for example, XpStartPage was
called before XpStartJob or was called for a type XPDocRaw document.
.SH "SEE ALSO"
.BR XpPutDocumentData. (3Xp),
.BR XpSelectInput (3Xp),
.BR XpStartPage (3Xp)


